import Request from '../common/request.js';
let request = new Request().http

  
 export function payment(data) {
 	 return request('/app/payment/paymentByWxaCode',data,'POST','application/json;charset=UTF-8');
 }
  // 获取扫码立减金接口
 export function paymentDirect(data) {
 	 return request('/app/scan/payment/getScanCodeDiscountAmount',data,'GET');
 }
 // 获取扫码统计列表
 export function getPaymentList(data) {
 	 return request('/app/scan/payment/getScanPayStatPage',data,'POST','application/json;charset=UTF-8');
 }
 // 获取扫码统计数据
 export function getPaymentData(data) {
 	 return request('/app/scan/payment/getScanPayStat',data,'POST','application/json;charset=UTF-8');
 }
 // 获取扫码流水详情
 export function getPaymentDetail({paymentId}) {
 	 return request('/app/scan/payment/getPaymentDetail/'+paymentId,{},'GET','application/json;charset=UTF-8');
 }
 // 发起申请退款接口（普通员工）
 export function applyRefund(data) {
 	 return request('/app/scan/payment/applyRefund',data,'POST','application/json;charset=UTF-8');
 }
 // 直接退款接口（管理员）
 export function refundStorePayment(data) {
 	 return request('/app/scan/payment/refundStorePayment',data,'POST','application/json;charset=UTF-8');
 }
 // 查询待审核退款申请列表（管理员）
 export function getPendingRefundList(data) {
 	 return request('/app/scan/payment/getPendingRefundList',data,'GET','application/json;charset=UTF-8');
 }
 // 管理员审核退款（管理员）
 export function auditRefund(data) {
 	 return request('/app/scan/payment/auditRefund',data,'POST','application/json;charset=UTF-8');
 }
 
 // 管理员审核退款总数（管理员）
 export function getRefundAuditCount(data) {
 	 return request('/app/scan/payment/getRefundAuditCount',data,'GET','application/json;charset=UTF-8');
 }